import flet as ft

class CbLokasiPelaporan: 
    def __init__(self):
        self.tLp = ft.Text("Lokasi Pelaporan :")
        self.dropdown = ft.Card(ft.Dropdown(
            border_color="transparent",
            border_radius=10,
            options=[
                ft.dropdown.Option("Kantor Pusat"),
                ft.dropdown.Option("Transjakarta"),
                ft.dropdown.Option("MRT"),
                ft.dropdown.Option("LRT Jakarta"),
                ft.dropdown.Option("LRT Jabodetabek"),
                ft.dropdown.Option("LMS"),
                ft.dropdown.Option("Kereta Commuter Indonesia"),
                ft.dropdown.Option("D'Arcici"),
                ft.dropdown.Option("TMII"),
                ft.dropdown.Option("Gerbang Toll Cirebon"),
                ft.dropdown.Option("Gerbang Toll Bandung"),
            ]
        )
        )
    
    def get_selected_values_2(self):
        selected_values_2 = []
        if self.dropdown.value:
            selected_values_2.append(self.dropdown.value)
        return selected_values_2
    
    def resetDropdown(self):
        self.dropdown.value = None